Release 一覧
curl --request GET \
--url https://api.example.com/v1/data-apps/{app_id}/releasesimport requests
url = "https://api.example.com/v1/data-apps/{app_id}/releases"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/data-apps/{app_id}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"version": "<string>",
"build_id": "<string>",
"yanked": true,
"latest": true,
"published_at": "<string>"
}
]
}Publishing
Release 一覧
作者向けバージョン履歴(build id と yanked フラグ含む)。
GET
/
v1
/
data-apps
/
{app_id}
/
releases
Release 一覧
GET https://api-datahub.octoparse.com/v1/data-apps/{app_id}/releases
認証:APIキー必須(Authorization: Bearer <API Key>)。App 作者のみ。他者は 404。
作者向け Release 履歴(build_id と yanked 含む。公開側は App バージョン履歴)。新しい順。latest は未 yank の最大版。
リクエスト
パスパラメータ
string
必須
App reference.
リクエスト例
curl \
-H "Authorization: Bearer $OCTOPARSE_API_KEY" \
"https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/releases"
レスポンス
200 成功
{
"data": {
"items": [
{
"version": "0.1.0",
"build_id": "bld_a583f440a0ab",
"yanked": false,
"latest": true,
"published_at": "2026-09-15T07:45:38.633930+00:00"
}
]
}
}
data に包まれます。フィールド:
object[]
エラー
| HTTP | code | category | Description |
|---|---|---|---|
| 401 | unauthorized | forbidden | API キー欠落または無効。 |
{"error": {code, category, message, retryable}} です。エラー を参照。